summaryrefslogtreecommitdiffstats
path: root/source/l/Imath/Imath.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2022-05-01 23:17:58 +0000
committer Eric Hameleers <alien@slackware.com>2022-05-02 06:59:47 +0200
commitfad84f0c7eabe4dcb52f921090b9a8dc258ad175 (patch)
tree886cc712f43e44d9fcb4277508b5a53a3651ada4 /source/l/Imath/Imath.SlackBuild
parent9b4be22e71a5affdb921f8ab706fbd12b27c40e0 (diff)
downloadcurrent-fad84f0c7eabe4dcb52f921090b9a8dc258ad175.tar.gz
current-fad84f0c7eabe4dcb52f921090b9a8dc258ad175.tar.xz
Sun May 1 23:17:58 UTC 202220220501231758
kde/calligra-3.2.1-x86_64-16.txz: Rebuilt. Recompiled against openexr-3.1.5. Thanks to Heinz Wiesinger for the link to the patch. kde/kimageformats-5.93.0-x86_64-2.txz: Rebuilt. Recompiled against openexr-3.1.5. kde/kio-extras-22.04.0-x86_64-2.txz: Rebuilt. Recompiled against Imath-3.1.5 and openexr-3.1.5. kde/kjots-20220430_da83a5f-x86_64-1.txz: Upgraded. kde/krita-5.0.6-x86_64-2.txz: Rebuilt. Recompiled against Imath-3.1.5 and openexr-3.1.5. kde/umbrello-22.04.0-x86_64-2.txz: Rebuilt. Recompiled against kdevelop-22.04.0. l/Imath-3.1.5-x86_64-1.txz: Added. This library was split out from OpenEXR. l/SDL2-2.0.22-x86_64-2.txz: Rebuilt. Recompiled with -DSDL_STATIC=OFF. Thanks to jkh2cpu. l/freetype-2.12.1-x86_64-1.txz: Upgraded. l/gegl-0.4.36-x86_64-2.txz: Rebuilt. Recompiled against openexr-3.1.5. l/gst-plugins-bad-free-1.20.1-x86_64-2.txz: Rebuilt. Recompiled against Imath-3.1.5 and openexr-3.1.5. l/imagemagick-7.1.0_32-x86_64-1.txz: Upgraded. Compiled against Imath-3.1.5 and openexr-3.1.5. l/opencv-4.5.5-x86_64-2.txz: Rebuilt. Recompiled against openexr-3.1.5. l/openexr-3.1.5-x86_64-1.txz: Upgraded. Shared library .so-version bump. Compiled against Imath-3.1.5. l/speech-dispatcher-0.11.1-x86_64-1.txz: Upgraded. n/cifs-utils-6.15-x86_64-1.txz: Upgraded. n/mutt-2.2.4-x86_64-1.txz: Upgraded. x/bitmap-1.1.0-x86_64-1.txz: Upgraded. xap/gimp-2.10.30-x86_64-3.txz: Rebuilt. Recompiled against Imath-3.1.5 and openexr-3.1.5.
Diffstat (limited to 'source/l/Imath/Imath.SlackBuild')
-rwxr-xr-xsource/l/Imath/Imath.SlackBuild110
1 files changed, 110 insertions, 0 deletions
diff --git a/source/l/Imath/Imath.SlackBuild b/source/l/Imath/Imath.SlackBuild
new file mode 100755
index 000000000..9e7657210
--- /dev/null
+++ b/source/l/Imath/Imath.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+
+# Copyright 2007, 2013, 2014 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2008, 2009, 2010, 2014, 2017, 2018, 2022 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackware.com>
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PKGNAM=Imath
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i586 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \+
+
+# Configure, build, and install:
+mkdir cmake-build
+cd cmake-build
+ cmake \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ .. || exit 1
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# If there's a CHANGES.md file, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r CHANGES.md ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat CHANGES.md | head -n 1000 > $DOCSDIR/CHANGES.md
+ touch -r CHANGES.md $DOCSDIR/CHANGES.md
+fi
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+